---
title: "Authorization"
slug: "authorization-2"
updated: 2026-03-06T13:08:03Z
published: 2026-03-06T13:08:03Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorization

Post/Authorization

		
			

**Description** With the Authorization API, you can retrieve valid authentication credentials for the other APIs.

**Use Case** To ensure secure and continuous access to the Bloxs API, users must obtain valid authorization details regularly. The token you receive remains valid for 24 hours.

| Field | Description |
| --- | --- |
| apiKey | This is the user's personal key to access the API. You can create it by logging into the Bloxs environment and going to your User Profile. |
| apiSecret | This is the client environment key. You can retrieve or renew it in the Bloxs environment under Admin -> Integrations -> API. |
| token | This is the value that must be included in the Authorization header for the API calls. The HTTP Header should look like this: Authorization: Bearer {Token} |
| expiration | This is the validity period of the token, currently 24 hours. After that, a new token must be obtained. |

		
		
Security

Body parameters<select class='api-response-data' aria-label='Media type'><option value='7cb392cc-e18e-4140-bc3c-1a7e338d872e'>application/json</option>
</select>object  apiKeystring    RequiredMin length1
apiSecretstring    RequiredMin length1

		
			

test

		
		
Responses200

The authorization token created

<select class='api-response-data' aria-label='Media type'><option value='4eb231bd-b8d7-4fa4-a7c5-787aec642d85'>application/json</option>
</select>object  tokenstring   | null  
expirationstring  (date-time)    

400

The authorization token can't be created
